diff -urNX /home/leigh/.diffex linux-2.4.22-prev/init/do_mounts.c linux-2.4.22/init/do_mounts.c
--- linux-2.4.22-prev/init/do_mounts.c	Mon Aug 25 16:56:50 2003
+++ linux-2.4.22/init/do_mounts.c	Mon Aug 25 16:57:17 2003
@@ -654,16 +654,16 @@
 			printk("done disk #%ld.\n", i/devblocks);
 			rotate = 0;
 			if (close(in_fd)) {
-				printk("Error closing the disk.\n");
+				printk(KERN_ERR "Error closing the disk.\n");
 				goto noclose_input;
 			}
 			change_floppy("disk #%d", i/devblocks+1);
 			in_fd = open(from, O_RDONLY, 0);
 			if (in_fd < 0)  {
-				printk("Error opening disk.\n");
+				printk(KERN_ERR "Error opening disk.\n");
 				goto noclose_input;
 			}
-			printk("Loading disk #%ld... ", i/devblocks+1);
+			printk(KERN_NOTICE "Loading disk #%d... ", i/devblocks+1);
 		}
 		read(in_fd, buf, BLOCK_SIZE);
 		write(out_fd, buf, BLOCK_SIZE);
